org.apache.solr.client.solrj.impl

## Class XMLResponseParser

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser
  - - org.apache.solr.client.solrj.impl.XMLResponseParser

    public class XMLResponseParser
    extends ResponseParser

Since:
  solr 1.3

### Nested Class Summary

Nested Classes
`protected static class` `XMLResponseParser.KnownType`

### Field Summary

Fields
`static org.slf4j.Logger` `log`
`static String` `XML_CONTENT_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`XMLResponseParser()`

### Method Summary

Methods
`String` `getContentType()` A well behaved ResponseParser will return it's content-type.
`String` `getWriterType()`
`NamedList<Object>` `processResponse(InputStream in, String encoding)`
`NamedList<Object>` `processResponse(Reader in)`
`protected List<Object>` `readArray(XMLStreamReader parser)`
`protected SolrDocument` `readDocument(XMLStreamReader parser)`
`protected SolrDocumentList` `readDocuments(XMLStreamReader parser)`
`protected NamedList<Object>` `readNamedList(XMLStreamReader parser)`

### Methods inherited from class org.apache.solr.client.solrj.ResponseParser

`getVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XML_CONTENT_TYPE

    public static final String XML_CONTENT_TYPE

See Also:
  Constant Field Values

#### log

    public static org.slf4j.Logger log

### Constructor Detail

#### XMLResponseParser

    public XMLResponseParser()

### Method Detail

#### getWriterType

    public String getWriterType()

Specified by:
  `getWriterType` in class `ResponseParser`

#### getContentType

    public String getContentType()

Description copied from class: `ResponseParser`
A well behaved ResponseParser will return it's content-type.

Overrides:
  `getContentType` in class `ResponseParser`
Returns:
  the content-type this parser expects to parse

#### processResponse

    public NamedList<Object> processResponse(Reader in)

Specified by:
  `processResponse` in class `ResponseParser`

#### processResponse

    public NamedList<Object> processResponse(InputStream in,
                                    String encoding)

Specified by:
  `processResponse` in class `ResponseParser`

#### readNamedList

    protected NamedList<Object> readNamedList(XMLStreamReader parser)
                                       throws XMLStreamException

Throws:
  `XMLStreamException`

#### readArray

    protected List<Object> readArray(XMLStreamReader parser)
                              throws XMLStreamException

Throws:
  `XMLStreamException`

#### readDocuments

    protected SolrDocumentList readDocuments(XMLStreamReader parser)
                                      throws XMLStreamException

Throws:
  `XMLStreamException`

#### readDocument

    protected SolrDocument readDocument(XMLStreamReader parser)
                                 throws XMLStreamException

Throws:
  `XMLStreamException`